{
	saved_FirstTime[0]

	Init[ ()
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;

			SetNationality(2);
			SetRunning();
			PlayAnimation(27);
			GiveWeapon(44, 6);
			SetInvulnerable(1);
		}
	}]

	DelayReached[ (s)
	{
		if(s = 1)
		{
			Delay(4, 2);
		}
		if(s = 2)
		{
			Delay(1, 3);
		}
		if(s = 3)
		{
			Delay(2, 4);
		}
		if(s = 4)
		{
			GoForCover();
		}
		if(s = 5)
		{
			ResumeFollowingPath();
		}
		if(s = 6)
		{
			SetPosition(19328,14464,576);
		}
	}]

	WaitForClear[ ()
	{
		PauseFollowingPath();
		Delay(4, 5);
	}]

	CoverWestBank[ ()
	{
		SetState_Patrol(0);
		SetAttackDistance(10, 4);
		SetLineOfSight(1,120);
		SetWander(0);
	}]

	GoForCover[ ()
	{
		if(Level.saved_Fallback = 1)
		{
			SetState_Idle();
			FollowPath("Charles_Retreat");
			FollowPathCallback(127,"GoOnAlert");
		}
		else
		{
		FollowPath("Charles_Attack_North", 0);
		FollowPathCallback(2, "WaitForClear");
		FollowPathCallback(8, "EndOfPath");
		}
	}]

	EndOfPath[ ()
	{
		PauseFollowingPath();
		CoverWestBank();
	}]
	
	GoOnAlert[()
	{
		SetCrouching();
		SetState_Patrol(0);
		SetAttackDistance(13,6);
		SetLineOfSight(1,180);
		SetWander(0);
	}]
}